{
  description = "Syndicate helper";

  inputs.rust.url = "github:oxalica/rust-overlay";

  outputs = { self, nixpkgs, rust }:
    let
      forEachSystem = nixpkgs.lib.genAttrs [ "aarch64-linux" "x86_64-linux" ];
      libOverlay = import ./lib.nix;
    in {
      lib = nixpkgs.lib.extend libOverlay;

      overlay = final: prev:
        with final; {
          lib = prev.lib.extend libOverlay;
          syndicate-rs = callPackage ./syndicate-rs {
            rust = rust-bin.nightly.latest.default;
          };
        };

      legacyPackages = forEachSystem (system:
        let pkgs = nixpkgs.legacyPackages.${system};
        in (pkgs.extend rust.overlay).extend self.overlay);

      packages = forEachSystem (system:
        let pkgs = nixpkgs.legacyPackages.${system};
        in with (pkgs.extend rust.overlay).extend self.overlay; {
          inherit syndicate-rs;
        });

    };
}
